Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  (command _saveas und FILEDIA = 1

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   (command _saveas und FILEDIA = 1 (1381 mal gelesen)
joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 29. Okt. 2008 14:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


saveas.gif

 
Hallo,
ich habe mir einen netten Dateinamen ausgedacht, z.B. "Meine_Zeichnung_01" und möchte diesen Namen mit (command "_saveas" an das Standard-Speichern-unter-Fenster von AutoCAD übergeben. => siehe Bild

Bei Verwendung von (command "_saveas" wird die Einstellung der Variable "FILEDIA" übergangen, auch wenn Sie auf 1 steht wird das Speichern unter ohne Fenster ausgeführt.
Gibt es das was???

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 29. Okt. 2008 14:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

(if(getvar "FILEDIA" 1)
  (progn(initdia)(command "_saveas"))
  (command "_saveas" ...)
)

So?

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 29. Okt. 2008 14:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Thomas,
noch nicht so ganz. Das "Speichern unter"-Fenster geht auf, aber wenn ich mich z.B. in Zeichnung2.dwg befinde ist das auch der Vorgabedateiname zum speichern.

Ich möchte aber einen Namen vorgeben. Kann ich einen eigenen Namen in irgendeiner Weise an das "Speichern unter"-Fenster übergeben??

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 893
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 29. Okt. 2008 15:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

Hi Jörn,
vllt.
hiermit

(getfiled "SaveAs" "JBseinString" "dwg" 1)

mfg heiko

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 29. Okt. 2008 15:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Dorfy,
danke erstmal, aber die Lösung ist es auch noch nicht ganz, weil ich beim "Speichern unter" nicht auf die Auswahl des Dateityps verzichten möchte (DWG2000, DXF12...)


------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 29. Okt. 2008 15:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

mit dem

(setq SCRIPTOBJ(vl-catch-all-apply
                                'vlax-create-object
                                (list "UserAccounts.CommonDialog")
                              )
              )

kann man vielleicht noch was machen

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 893
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 29. Okt. 2008 16:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

vorher die Variable setzen
(setenv "DefaultFormatForSave" "JB_gewähltFormat")

(getfiled "SaveAs" "JBseinString" "dwg;dxf;dwt;lsp" 1)
...
alles net so schön...
mfg heiko

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 29. Okt. 2008 17:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Dorfy und Thomas,
für heute gebe ich erstmal auf, vielleicht kann ich mir ja morgen noch ein bißchen Zeit nehmen. Soweit bin ich mit dem Stichwort von Thomas gekommen (aber so richtig funktionieren tut da noch nichts)
Code:

(defun c:test  (/ x r)
  (vl-load-com)
  (if (setq x (vlax-create-object "UserAccounts.CommonDialog"))
    (progn (vlax-put-property
    x
    'Filter
    (strcat
      "AutoCAD 2004-Zeichnung(*.dwg)|*.dwg|" "AutoCAD 2000/LT2000-Zeichnung(*.dwg)|*.dwg|"
      "AutoCAD-Zeichnungsstandards(*.dws)|*.dws|" "AutoCAD-Zeichnungsvorlage(*.dwt)|*.dwt|"
      "AutoCAD 2004 DXF(*.dxf)|*.dxf|" "AutoCAD 2000/LT2000 DXF(*.dwg)|*.dxf|"
      "AutoCAD R12/LT2 DXF(*.dxf)|*.dxf"))
  (vlax-put-property x 'FilterIndex 1);;;???
  (vlax-put-property x 'Flags 0) ;;???
  (vlax-put-property x 'InitialDir "c:\\temp\\")
  (vlax-put-property x 'FileName "c:\\temp\\Meine_Zeichnung_01.dwg")
  (setq r (vlax-invoke-method x 'ShowOpen))
  (if (= 0 r)
    nil
    (vlax-get-property x 'FileName)))
    nil))

Was mir noch völlig unklar ist, woher bekomme ich die FlagWerte (Bit-Codierung??) für "Flags" und "FilterIndex" und was bewirken diese. Das einzige was ich im Web gefunden habe:

Zitat:

;;;Private Const OFN_READONLY = &H1
;;;Private Const OFN_OVERWRITEPROMPT = &H2
;;;Private Const OFN_HIDEREADONLY = &H4
;;;Private Const OFN_NOCHANGEDIR = &H8
;;;Private Const OFN_SHOWHELP = &H10
;;;Private Const OFN_ENABLEHOOK = &H20
;;;Private Const OFN_ENABLETEMPLATE = &H40
;;;Private Const OFN_ENABLETEMPLATEHANDLE = &H80
;;;Private Const OFN_NOVALIDATE = &H100
;;;Private Const OFN_ALLOWMULTISELECT = &H200
;;;Private Const OFN_EXTENSIONDIFFERENT = &H400
;;;Private Const OFN_PATHMUSTEXIST = &H800
;;;Private Const OFN_FILEMUSTEXIST = &H1000
;;;Private Const OFN_CREATEPROMPT = &H2000
;;;Private Const OFN_SHAREAWARE = &H4000
;;;Private Const OFN_NOREADONLYRETURN = &H8000&
;;;Private Const OFN_NOTESTFILECREATE = &H10000
;;;Private Const OFN_NONETWORKBUTTON = &H20000
;;;Private Const OFN_NOLONGNAMES = &H40000
;;;Private Const OFN_EXPLORER = &H80000
;;;Private Const OFN_NODEREFERENCELINKS = &H100000
;;;Private Const OFN_LONGNAMES = &H200000

Wie bekomme ich es hin, das es ein "Speichern unter"-Dialog wird, bis jetzt ist es bei allen Versuchen ein "Öffnen"-Dialog gewesen.

Heute nicht mehr

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 30. Okt. 2008 10:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
es geht weiter, aber nicht so wie ich gestern angefangen habe, das wird irgendwie nichts.

Ich werden jetzt die Befehlszeilversion "_saveas" verwenden, und da kommt gleich das nächste Problem mit den Dateitypen.

In den Optionen kann in der Registerkarte "öffnen und speichern" ein Vorgabedateityp eingestellt werden, z.B. "DXF-2000".
Wo ist diese Vorgabe gespeichert, in den Systemvariablen habe ich nichts gefunden.

Diese Vorgabe brauche ich für eine Liste von Dateitypen in einem Programmfenster, in der dieser Vorgabedateityp natürlich auch ganz oben angeboten werden soll.

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 893
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 30. Okt. 2008 11:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

DefaultFormatForSave ?
ich dachte da

edit:
(getenv "DefaultFormatForSave") for saving as "AutoCAD Drawing Template File" in R2000i = "14"
(getenv "DefaultFormatForSave") for saving as R2000 DXF = "13"
(getenv "DefaultFormatForSave") for saving as R2000 = "12"
(getenv "DefaultFormatForSave") for saving as R14 DXF = "9"
(getenv "DefaultFormatForSave") for saving as R14 = "8"
(getenv "DefaultFormatForSave") for saving as R13 DXF = "5"
(getenv "DefaultFormatForSave") for saving as R13 = "4"
(getenv "DefaultFormatForSave") for saving as R12 DXF = "1"

DXF increment = 1
DWT increment = 2

[Diese Nachricht wurde von Dorfy am 30. Okt. 2008 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 30. Okt. 2008 11:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Dorfy,
danke dafür, damit komme ich erstmal weiter

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz